Bug 483147 - use of F12 in text installer is inconsistent
use of F12 in text installer is inconsistent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AnacondaUI
  Show dependency treegraph
 
Reported: 2009-01-29 15:49 EST by Jeff Bastian
Modified: 2013-07-04 08:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2009-01-29 15:49:45 EST
Description of problem:
I'm helping with the "Anaconda text-mode simplification" test day.
  https://fedoraproject.org/wiki/QA/Test_Days/2009-01-29

I noticed that the use of F12 to go forward is inconsistent.  Sometimes it goes backwards, sometimes it goes forward with weird settings.

1. Start VNC   or   Use text mode
   If you hit F12, it starts VNC, even if 'Use text mode' is highlighted.
   You must tab or arrow to 'Use text mode' and hit ENTER to proceed with
   text mode.

2. If using a brand new blank disk, anaconda asks to initialize the disk.
   If you hit F12, I believe it picks No for you (so it does not init the
   disk) and later there are no disks available to install onto.  You must
   tab or arrow to Yes and hit ENTER for it to initialize the disk.

3. Pick a weak password for root and it pops a warning that it's weak.
   F12 takes you back to enter a new password regardless of what's selected.
   Again, you have to tab or arrow to Yes and hit ENTER to continue with
   the weak password.

4. On the 'Writing partition to disk' screen, F12 goes back.  You have to
   tab or arrow to 'Write changes to disk' and hit ENTER to proceed.


Version-Release number of selected component (if applicable):
anaconda-11.4.1.62-1
plus updates=http://clumens.fedorapeople.org/notext.img text


How reproducible:
Every time

Steps to Reproduce:
1. Try to use F12 to proceed through text installation
  
Actual results:
Sometimes it goes backwards, others it proceeds with unclear choice.

Expected results:
Always go forward using the option that's highlighted

Additional info:
Comment 1 Andy Lindeberg 2009-02-12 11:53:39 EST
I tested this, and you're correct, with some additions:

Media check - F12 causes you to select to test your media even when you've highlighted 'Skip'. Once the disc is finished being checked, F12 won't select Continue.

Warning - F12 acts like you want Exit instead of Install Anyway.

Root password: F12 only goes forward, not back.

Partitioning: F12 again only goes forward.


I can't get any farther through the install at the moment because of an issue with the mirrors, but this is definitely irregular.
Comment 2 Bug Zapper 2009-06-09 06:58:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-04-27 08:49:43 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 07:10:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.